Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160498 - migrate_passwd.pl creates wrong ldif file
Summary: migrate_passwd.pl creates wrong ldif file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 14:14 UTC by Timon
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-11 16:32:43 UTC


Attachments (Terms of Use)

Description Timon 2005-06-15 14:14:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; ru-RU; rv:1.7.5) Gecko/20041108 Firefox/1.0

Description of problem:
 /usr/share/openldap/migration/migrate_passwd.pl too old and generates wrong ldif file.
in file:
print $HANDLE "objectClass: mailRecipient\n"; 
when should
print $HANDLE "objectClass: inetLocalMailRecipient\n"; 

update scripts from www.padl.com


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
/usr/share/openldap/migration/migrate_passwd.pl /etc/passwd passwd.ldif
  

Additional info:

Comment 1 Jay Fenlason 2006-01-11 16:32:43 UTC
This is fixed in current rawhide. 


Note You need to log in before you can comment on or make changes to this bug.